edoc_layout — edoc v1.3

Search documentation of edoc

# View Source edoc_layout behaviour (edoc v1.3)

The standard HTML layout module for EDoc. See the `edoc` module for details on usage.

See also: edoc.

# Summary

## Types

options/0

## Callbacks

module/2
Layout entrypoint.

## Functions

module(Element, Options)

The layout function.

overview(Element, Options)
type(Element)

# Types

Link to this type

# options/0

View Source

    -type options() ::
              [{index_columns, integer()} |
               {pretty_printer, atom()} |
               {stylesheet, string()} |
               {sort_functions, boolean()} |
               {xml_export, module()}].

# Callbacks

Link to this callback

# module/2

View Source

    -callback module(edoc:edoc_module(), _) -> binary().

Layout entrypoint.

# Functions

Link to this function

# module(Element, Options)

View Source

    -spec module(Element, Options) -> term() when Element :: edoc:edoc_module(), Options :: options().

The layout function.

Options to the standard layout:

`{index_columns, integer()}`
  Specifies the number of column pairs used for the function index tables. The default value is 1.
`{pretty_printer, atom()}`
  Specifies how types and specifications are pretty printed. If the value `erl_pp` is specified the Erlang pretty printer (the module `erl_pp`) will be used. The default is to do no pretty printing which implies that lines can be very long.
`{stylesheet, string()}`
  Specifies the URI used for referencing the stylesheet. The default value is `"stylesheet.css"`. If an empty string is specified, no stylesheet reference will be generated.
`{sort_functions, boolean()}`
  If `true`, the detailed function descriptions are listed by name, otherwise they are listed in the order of occurrence in the source file. The default value is `true`.
`{xml_export, Module::atom()}`
  Specifies an `xmerl` callback module to be used for exporting the documentation. See `xmerl:export_simple/3` for details.

See also: edoc:layout/2.

Link to this function

# overview(Element, Options)

View Source

    -spec overview(Element :: term(), Options :: options()) -> term().

Link to this function

# type(Element)

View Source

    -spec type(Element :: term()) -> term().